Subject: Re: [PATCH v2] [NAND] driver extension to support NAND on TQM85xx modules

From: Wolfgang Grandegger <[email-masked]>
Date: Sun, 08 Jun 2008 20:05:32 +0200

Anton Vorontsov wrote:
> On Sat, Jun 07, 2008 at 09:01:41AM +0100, David Woodhouse wrote:
>> On Thu, 2008-06-05 at 10:50 +0200, Wolfgang Grandegger wrote:
>>> [NAND] driver extension to support NAND on TQM85xx modules
>>>
>>> This patch extends the FSL UPM NAND driver from Anton Vorontsov to
>>> support NAND on the TQM85xx modules. Unfortunately, the hardware does
>>> not support the R/B pins of the NAND chip and therefore the specified
>>> maximum delay time must used. It therefore re-introduces the chip-delay
>>> property.
>>>
>>> Note: this patch is based on various patches from  Anton Vorontsov posted
>>>       to this list:
>>>
>>>       http://ozlabs.org/pipermail/linuxppc-dev/2008-April/055587.html.
>> Do you also want me to apply that patch (on which this one depends)?
>> It says 'Signed-off-by: not yet' ...
> 
> Well, I have no objections to applying that patch, feel free to add my
> sign off. But if OF people will NAK the bindings, I'll have to bother you
> once again with the update to that driver. :-/
> 
> I've tried to push the bindings several times already, and always there
> were [absolutely legitimate] issues. The last RFC is here (along with
> other new bindings):
> 
> http://ozlabs.org/pipermail/linuxppc-dev/2008-June/057244.html
> 
> so far no comments.. Probably a good sign. :-)

I see. I think I should then also post the bindings (update of
booting-without-of.txt) separately.

Wolfgang.